#include <iostream>
using namespace std;

int main() {
    int a, b;
    cin >> a;
    cin >> b;
    int c;
    for (int i = 1; i <= a; i++) {
        cin >> c;
        if (c <= b) {  
            cout << i << endl;  
            return 0;  
        }
    }
    cout << -1 << endl;  
    return 0;
}